% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/bgm_plot_class.R
\name{centrality}
\alias{centrality}
\alias{plot_centrality}
\title{Plot strength centralities and 95\% highest density interval}
\usage{
plot_centrality(output, ...)
}
\arguments{
\item{output}{Output object from the easybgm function. Supports also objects from the bgm function of the \code{bgms} package.}

\item{...}{Additional arguments passed onto \code{ggplot2}}
}
\value{
Returns a plot
}
\description{
Visualize the strength centralities and their uncertainties. The centrality estimate can be obtained for each sample of the posterior distribution of the association parameters to obtain an estimate of the uncertainty of the strength centrality estimate.
}
\examples{
\donttest{

library(easybgm)
library(bgms)

data <- na.omit(Wenchuan)
fit <- easybgm(data, type = "ordinal",
                iter = 1000,  # for demonstration only (> 5e4 recommended)
                save = TRUE, centrality = TRUE)

plot_centrality(fit)
}
}
